<template>
    <checkout-layout :cart_data="cart_data">
        <template #credit_check v-if="cart_data!=null && cart_data.cart_details.length>0">
            <credit-check></credit-check>
        </template>
        <template #checkout_form v-if="cart_data!=null">
            <checkout-form-2 :cart_data="cart_data"></checkout-form-2>
        </template>
        <template #suggested_block>
            <!-- <suggested-product v-if="cart_data!=null" :suggested_products="cart_data.suggested_products"></suggested-product> -->
        </template>
    </checkout-layout>
</template>
<script>
import {cloneDeep} from 'lodash';
export default {
    components : {CheckoutLayout:()=>import('~/layouts/cart/checkout-2.vue'), CreditCheck : ()=>import('~/components/front-end/cart-component/credit-check.vue'), SuggestedProduct:()=>import('~/components/front-end/cart-component/suggested-product.vue'),CheckoutForm2 : ()=>import('~/components/front-end/cart-component/checkout-form-2.vue')},
    data() {
        return {
            loading     : false,
            cart_data : cloneDeep(this.$store.state.front_end_data.cart_data),
            domain: this.$store.state.front_end_data.domain,
        }
    },
    head() {
        return {
            title: `Checkout 2 - ${this.domain.name}`,
            script : [
              {
                src: '/front-end/js/google-analytics.js'
              }
            ],
            meta: [
                {
                  hid: 'description',
                  name: 'description',
                  content: "Cart"
                },
                {
                  hid: 'og:title',
                  name: 'og:title',
                  content: "Cart"
                },
                {
                  hid: 'og:description',
                  name: 'og:description',
                  content: "Cart"
                },{
                  hid: 'og:type',
                  name: 'og:type',
                  content: "Website"
                },
                {
                  hid: 'og:url',
                  name: 'og:url',
                  content: this.domain.url + this.$route.fullPath
                },
                {
                  hid: 'og:url',
                  name: 'og:site_name',
                  content: this.domain.name
                },
                {
                  hid: 'og:image',
                  name: 'og:image',
                  content: "/images/logo.png"
                },
                {
                  hid: 'name',
                  name: 'twitter:card',
                  content: "summary_large_image"
                },
                {
                  hid: 'name',
                  name: 'twitter:title',
                  content: "Cart"
                },
                {
                  hid: 'name',
                  name: 'twitter:description',
                  content: "Cart"
                },
                {
                  hid: 'name',
                  name: 'twitter:image:src',
                  content: "/images/logo.png"
                },
                {
                  hid: 'name',
                  name: 'twitter:site',
                  content: this.domain.name
                },
              ],
          }
    },
    async asyncData({ $axios, params, store,error,redirect }) {
      if(store.state.front_end_data.cart_data!=null && store.state.front_end_data.cart_data.tag_name==null || store.state.front_end_data.cart_data.tag_name=='') {
        redirect('/cart/checkout-1');
      }
    },
    mounted() {
    },
    methods : {
    }
}
</script>
